//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 9-1 #3
//
// Outputs the four byte values that make up a floating point number in hex.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define SIZE sizeof(float)

union{
   float f;
   unsigned char c[SIZE];
} toHex;



void main(void)
{   
   toHex.f = 0;
      
   printf("Enter Floatting Point Number: ");
   toHex.f = get_float_usb();
   printf("\r\n");
   
   printf("0x");
   
   printf("%02x", toHex.c[3]);   //show msb first
   printf("%02x", toHex.c[2]);
   printf("%02x", toHex.c[1]);
   printf("%02x", toHex.c[0]);
   
   printf("\r\n");
   
   for(;;);
}
